[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: bashisems in maintainer scripts.

On Mon, Mar 01, 2004 at 09:18:53PM -0800, Mike Mestnik wrote:
> This has happend more than once, but it's not a huge problem.  However
> bash should be extended to, be able to, warn about the most common
> compatibility problems.  Every one would benifit from this.

That would be most productive put to the upstream bash developers.  There
are currently checks in lintian (I presume linda has similar checks) to find
at least some common bashisms used in maintainer scripts.

To improve lintian's checks, it would be helpful if you could check on the
lintian reports archived at http://lintian.debian.org/ for the packages
you've had troubles with, and see if lintian reports the problem.  If not, a
minor or wishlist[1] bug against the lintian package would, I'm sure, be

Alternately, if lintian reports the problem appropriately, report a normal
or important bug[1] against the package with the problem.

Only by everyone's assistance can we make Debian the all-perfect OS we want
it to be.  You can be a part of that!  </bouncy-motivation>

- Matt

[1] Bug severities should be selected appropriately given the guidelines
given at http://www.debian.org/Bugs/Developer#severities.

Reply to: